> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch table plugin panel layout

> Update the layout of a plugin panel



## OpenAPI

````yaml /swagger.json patch /table/{tableId}/plugin-panel/{pluginPanelId}/layout
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /table/{tableId}/plugin-panel/{pluginPanelId}/layout:
    patch:
      tags:
        - plugin-panel
      description: Update the layout of a plugin panel
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: pluginPanelId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                layout:
                  type: array
                  items:
                    type: object
                    properties:
                      pluginInstallId:
                        type: string
                      x:
                        type: number
                      'y':
                        type: number
                      w:
                        type: number
                      h:
                        type: number
                    required:
                      - pluginInstallId
                      - x
                      - 'y'
                      - w
                      - h
              required:
                - layout
      responses:
        '200':
          description: The layout of the plugin panel was updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  layout:
                    type: array
                    items:
                      type: object
                      properties:
                        pluginInstallId:
                          type: string
                        x:
                          type: number
                        'y':
                          type: number
                        w:
                          type: number
                        h:
                          type: number
                      required:
                        - pluginInstallId
                        - x
                        - 'y'
                        - w
                        - h
                required:
                  - id
                  - layout
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout';

            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: >-
            const http = require('https');


            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };


            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });


            req.write(JSON.stringify({layout: [{pluginInstallId: 'string', x: 0,
            y: 0, w: 0, h: 0}]}));

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"layout\":[{\"pluginInstallId\":\"string\",\"x\":0,\"y\":0,\"w\":0,\"h\":0}]}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH",
            "/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````